Oracle Linux 8:emacs (ELSA-2023-3042)

high Nessus 插件 ID 176284

简介

远程 Oracle Linux 主机缺少安全更新。

描述

远程 Oracle Linux 8 主机上安装的多个程序包受到 ELSA-2023-3042 公告中提及的漏洞的影响。

- GNU Emacs 28.2 及其之前版本允许攻击者通过源代码文件名称中的 shell 元字符执行命令,这是因为 lib-src/etags.c 在其 ctags 程序的实现中使用了系统 C 库函数。例如,如果当前工作目录具有依赖于不可信输入的内容,受害者即可使用 ctags * 命令(如 ctags 文档中的建议)。
(CVE-2022-45939)

请注意,Nessus 尚未测试此问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

更新受影响的程序包。

另见

https://linux.oracle.com/errata/ELSA-2023-3042.html

插件详情

严重性: High

ID: 176284

文件名: oraclelinux_ELSA-2023-3042.nasl

版本: 1.0

类型: local

代理: unix

发布时间: 2023/5/24

最近更新时间: 2023/5/24

支持的传感器: Frictionless Assessment Agent, Nessus Agent, Nessus

风险信息

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: High

基本分数: 7.2

时间分数: 5.3

矢量: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

CVSS 分数来源: CVE-2022-45939

CVSS v3

风险因素: High

基本分数: 7.8

时间分数: 6.8

矢量: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:oracle:linux:emacs-common, p-cpe:/a:oracle:linux:emacs-terminal, p-cpe:/a:oracle:linux:emacs-nox, cpe:/o:oracle:linux:8, p-cpe:/a:oracle:linux:emacs-lucid, p-cpe:/a:oracle:linux:emacs-filesystem, p-cpe:/a:oracle:linux:emacs

必需的 KB 项: Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list, Host/local_checks_enabled

易利用性: No known exploits are available

补丁发布日期: 2023/5/24

漏洞发布日期: 2022/11/28

参考资料信息

CVE: CVE-2022-45939